package com.ferienclub.custadmin;

import org.mule.config.builders.PlaceholderProcessor;

import com.ferienclub.custadmin.beans.Appointment;
import com.ferienclub.custadmin.beans.CustomerPreferences;
import com.ferienclub.custadmin.beans.HistoryEntry;
import com.ferienclub.custadmin.beans.Place;
import com.ferienclub.custadmin.beans.User;
import com.ferienclub.leisure.esb.messages.BookingQuery;
import com.ferienclub.leisure.esb.messages.PrefQuery;


public interface CustomerAdministration {

	public User[] getUsers(String dummy);
	
	public int enterNewUser(User u);
	
	public int addPlace(Place p);
	
	public int deletePlace(String placeId);
	
	public Place[] getPlaces(String dummy);
	
	public int deleteAppointment(String appId);
	
	public int insertAppointment(Appointment app);
	
	public Appointment[] getAppointments(String dummy);

	public int addHistoryEntry(HistoryEntry entry);
	
	public HistoryEntry[] getHistory(String dummy);
	
	public int setCustomerPreferences(CustomerPreferences pref);
	
	public CustomerPreferences[] getCustomerPreferences(PrefQuery query);
	
	public int deleteCustomerPreferences(String userId);
	
	public CustomerPreferences getCustomerPreferences(String userId);
	
	public String[] getPreferenceNames(String dummy);
}
